Bug 144572 - Groupedbar Compact UI : inaccurate/incomplete menu label for dynamic/pivot table creation
Summary: Groupedbar Compact UI : inaccurate/incomplete menu label for dynamic/pivot ta...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.4 release
Hardware: All All
: medium normal
Assignee: Ross Johnson
URL:
Whiteboard: target:7.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2021-09-17 13:11 UTC by Jérôme
Modified: 2021-10-21 15:08 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Selecting the menu with imprecise translation (15.34 KB, image/png)
2021-09-17 13:11 UTC, Jérôme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme 2021-09-17 13:11:54 UTC
Created attachment 175095 [details]
Selecting the menu with imprecise translation

With the French translation of the Groupedbar Compact UI, the "Data" group ("Données" translation in French) has a textual menu entry with "Insérer ou éditer..." in order to create a dynamic/pivot table.

Could this menu entry translation add a reference to the dynamic (or pivot) table ? For example : "Insérer/éditer une table dynamique...".
Comment 1 Ming Hua 2021-09-18 09:15:39 UTC
Reproduced in 7.2.1:
Version: 7.2.1.2 (x64) / LibreOffice Community
Build ID: 87b77fad49947c1441b67c559c339af8f3517e22
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

It's not specific to French UI translation, as the original English string is just "Insert or Edit...", likely from:
https://git.libreoffice.org/core/+/master/officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu#474

In the standard (menu with toolbars) interface this shows up in menu "Data > Pivot Table > Insert or Edit..." and thus suitable.  For compact groupedbar interface it is obviously lacking context.

The UX team should best know how to change it.
Comment 2 Julien Nabet 2021-09-18 09:55:36 UTC
Heiko/Xisco: thought you might be interested in this one.
(I don't know if you're automatically notified or something when needsUXEval is set)
Comment 3 Heiko Tietze 2021-09-20 07:34:29 UTC
Yes, this should to be fixed by adding something like <prop oor:name="ContextLabel". See also https://design.blog.documentfoundation.org/2018/02/28/easyhacking-all-about-terminology/

Ross, I thought you might be interested in this.
Comment 4 Ross Johnson 2021-09-22 11:29:37 UTC
I have a partial solution for this scoped but looking for a better more complete one.
Comment 5 Ross Johnson 2021-10-01 10:56:02 UTC
(In reply to Heiko Tietze from comment #3)
> Yes, this should to be fixed by adding something like <prop
> oor:name="ContextLabel". See also
> https://design.blog.documentfoundation.org/2018/02/28/easyhacking-all-about-
> terminology/

Heiko, thank you for the lead.

ContextLabel doesn't appear to apply to these instances, perhaps they are considered sub menus even though they appear not.

1) Menubar: Data - Pivot Table - Insert or Edit... shows "Insert or Edit..."

2) GroupedBar Compact: Data drop-down menu in the toolbar shows "Insert or Edit...", as it does in the other UI styles where PivotTable has a presence.

The items can't be distinguished using ContextLabel.

Resorting to plan B: Same file: Create an additional alias of .uno:DataDataPilotRun, of which .uno:InsertPilotTable is already an alias, called .uno:InsertPilotTableNBLabel for use in the NoteBook UI styles.

This works AFAICS
Comment 6 Ross Johnson 2021-10-01 11:24:45 UTC
(In reply to Ross Johnson from comment #5)
> Resorting to plan B: Same file: Create an additional alias of
> .uno:DataDataPilotRun, of which .uno:InsertPilotTable is already an alias,
> called .uno:InsertPilotTableNBLabel for use in the NoteBook UI styles.

Should be, .uno:InsertPivotTable*  etc. (in case anyone picked it up).
Comment 7 Commit Notification 2021-10-19 06:19:40 UTC
Ross Johnson committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/672b4c155766e9bf18e109e92f3e8cc71a52e21d

tdf#144572 - fix incomplete labeling of Pivot Table UI elements

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2021-10-21 15:08:16 UTC
Verified in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ea65215855462e5e48f7a3a78724c38b5fc0e4d1
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded